bugfix> angular > 投稿

Angular cli 6.0.4 をインストールしました npm install -g @angular/cli を使用するそして、このコマンド ng new my-first-app を使用して新しいプロジェクトを作成しようとすると次のエラーがスローされます。

Schematic input does not validate against the Schema: {"dryRun":false,"version":"6.0.4","skipGit":false,"skipInstall":false,"linkCli":false,"commit":true,"newProjectRoot":"projects","inlineStyle":false,"inlineTemplate":false,"routing":false,"prefix":"app","style":"css","skipTests":false}
Errors:
Data path "" should NOT have additional properties(dryRun).

どうすれば修正できますか?

回答 2 件
  • Looks like the new 6.0.5 version fixed this issue
    
    

    より詳しい情報

  • ここで、このリンクとこれを参照してください。同様のエラー。

    次の可能なオプションを試してください。

    現在のangle/cliをアンインストールして、古いバージョンをダウンロードしてみてください。

    ノードバージョンを更新し、npmキャッシュを削除します。

    さらに良いことに、あなたの唯一の目的が角度6である場合、回避策は例をダウンロードし、不要なファイルを取り除き、必要なすべてのパッケージをインストールすることです。

あなたの答え